Subject: bug#25908: [PATCH, WIP] Add godot.

From: Kei Kebreau <[email-masked]>
Date: Sat, 25 Mar 2017 13:28:38 -0400

[email-masked] (Ludovic Courtès) writes:

> Hi Kei,
>
> Kei Kebreau <[email-masked]> skribis:
>
>> Ah, the crucial clue! I replaced the above regexp with the following:
>>
>> (substitute* "SConstruct"
>>   (("env_base = Environment\\(tools=custom_tools\\)")
>>    "env_base = Environment(ENV=os.environ)"))
>>
>> Though I don't know what the meaning of "tools=custom_tools" is, this
>> substitution let me complete the build phase without an issue.
>
> In doubt, I’d keep “tools=custom_tools” in addition to
> “ENV=os.environ”.  :-)
>

Okay. I figured out how this works and kept both.

>> Just two other things:
>>
>> Throughout the build I saw "-Ithirdparty/glew" as a CFLAG. Is this
>> necessary for a successful build or can we use our own copy of glew?
>
> Maybe you could (delete-file-recursively "thirdparty") from the snippet
> to be sure.
>

It seems like these libraries will be quite difficult to unbundle. The
build system has targets that depend on files specifically found in the
"thirdparty" directory.

>> Is there a check target for this build system? If not we can just leave
>> a #:tests? #f with a note in the arguments section.
>
> AFAIK SCons does not standardize anything when it comes to running
> tests.  I think ‘scons --help’ lists all the supported targets, so you
> could check if there’s a “test” target or something like that.
>

There doesn't seem to be tests in the Godot's build system.

> HTH!
> Ludo’.